grub-probe auto-detection fails on raid

Bug #1093918 reported by Ing. Josef Klotzner on 2012-12-27
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
multipath-tools (Ubuntu)
Undecided
Unassigned
Precise
Critical
Phillip Susi

Bug Description

kpartx was mapping the entire extended partition then stacking the logical partitions on that device. This exposes a device that otherwise appears to be an entire disk device containing the logical partitions, and this confuses grub. The extended partition is supposed to only expose the first two sectors to allow LILO to be installed.

The patch has been applied upstream now, and since this is the only change since quantal, a simple copy to quantal-updates should resolve it there as well. I have done this in my ppa and the reporter has verified it has fixed the issue.

TEST CASE:

Use fdisk to create an extended parition either on a fakeraid disk or an LVM logical volume. Run kpartx -a /dev/mapper/whatever to activate the partitions on the disk. Assuming the extended partition is number 3, then sudo blockdev --getsz /dev/mapper/whatever3 will report the apparent size of the extended partition. The size should only be 2 sectors regardless of the size of the extended partition.

Related branches

You might want to read https://wiki.ubuntu.com/FakeRaidHowto. You are better off using proper mdadm software raid rather than fakeraid unless you need to dual boot with windows. This is especially true on a server.

summary: - grub-probe auto-detection fails on raid
+ grub only recognizes nvidia fakeraid, not via, pdc, or isw
description: updated
Changed in grub2 (Ubuntu):
status: New → Triaged
importance: Undecided → Wishlist
Phillip Susi (psusi) wrote :

Also you can work around this by adding an entry to /boot/grub/device.map for the /dev/mapper disk.

... sorry ...
how has device.map to be look like?
i tried hours and hours already with this without any effect.
.
further: a) you did not explain why grub-probe instists to process partition "3" instead of "7" when doing (as you was able to see in outputs above, which you deleted !! ):

sudo grub-probe -vd /dev/mapper/via_jehhchjje7

and b) you did not explain why this works ALSO with via .... and is still working as in my current system i am writing this ... until ubuntu 11.10

c) how can you know based on my bug report that it works with nvidia ? --- but you changed MY title summary of bug report !!

i am NOT amused ....

summary: - grub only recognizes nvidia fakeraid, not via, pdc, or isw
+ grub only recognizes nvidia fakeraid, not via, pdc, or isw grub-
+ probe auto-detection fails on raid
Phillip Susi (psusi) on 2012-12-27
description: updated
summary: - grub only recognizes nvidia fakeraid, not via, pdc, or isw grub-
- probe auto-detection fails on raid
+ grub-probe auto-detection fails on raid
Changed in grub2 (Ubuntu):
importance: Wishlist → Undecided
status: Triaged → New
Phillip Susi (psusi) wrote :

Sorry about that, I saw the nvraid module and got confused and thought that was supposed to handle it and there aren't modules for the other dmraid formats. Now that I think about it, that module is only for letting grub recognize such an array without the benefit of having the nvidia raid bios. It should be probing /dev/mapper/via_jehhchjje and noticing that is a dmraid array.

Could you run sudo blockdev --getsize64 /dev/mapper/via_jehhchjje
Also sudo dmsetup info /dev/mapper/via_jehhchjje

josef@josef-maxtor-quad:~$ sudo blockdev --getsize64 /dev/mapper/via_jehhchjje
[sudo] password for josef:
2000409722880
josef@josef-maxtor-quad:~$

josef@josef-maxtor-quad:~$ sudo dmsetup info /dev/mapper/via_jehhchjje
Name: via_jehhchjje
State: ACTIVE
Read Ahead: 256
Tables present: LIVE
Open count: 3
Event number: 0
Major, minor: 252, 1
Number of targets: 1
UUID: DMRAID-via_jehhchjje

if you really still think that i can workaround for the meantime with changing stuff in device.map please tell me what should i add there

description: updated
Phillip Susi (psusi) wrote :

Thats strange; there is only one target. Is this a broken mirror? What does sudo dmraid -n show?

/dev/sdg (via):
0x000 signature: 0xaa55
0x002 version_number: 2
0x003 array.disk.bootable: 0
0x003 array.disk.enable_enhanced: 0
0x003 array.disk.in_disk_array: 1
0x003 array.disk.raid_type: 0
0x003 array.disk.array_index: 0
0x003 array.disk.raid_type_info: 1
0x003 array.disk.raid_type_info(INDEX): 1
0x003 array.disk.raid_type_info(MIRROR): 0
0x003 array.disk.raid_type_info(DIRTY): 0
0x003 array.disk.tolerance: 0
0x005 array.disk_array_ex: 0x42
0x006 array.capacity_low: 1953525120
0x00a array.capacity_high: 0
0x00e array.serial_checksum: 415831831
0x012 serial_checksum[0]: 531896097
0x016 serial_checksum[1]: 415831831
0x01a serial_checksum[2]: 0
0x01e serial_checksum[3]: 0
0x022 serial_checksum[4]: 0
0x026 serial_checksum[5]: 0
0x02a serial_checksum[6]: 0
0x02e serial_checksum[7]: 0
0x032 checksum: 69

/dev/sdf (via):
0x000 signature: 0xaa55
0x002 version_number: 2
0x003 array.disk.bootable: 0
0x003 array.disk.enable_enhanced: 0
0x003 array.disk.in_disk_array: 1
0x003 array.disk.raid_type: 0
0x003 array.disk.array_index: 0
0x003 array.disk.raid_type_info: 0
0x003 array.disk.raid_type_info(INDEX): 0
0x003 array.disk.raid_type_info(MIRROR): 0
0x003 array.disk.raid_type_info(DIRTY): 0
0x003 array.disk.tolerance: 0
0x005 array.disk_array_ex: 0x42
0x006 array.capacity_low: 1953525120
0x00a array.capacity_high: 0
0x00e array.serial_checksum: 531896097
0x012 serial_checksum[0]: 531896097
0x016 serial_checksum[1]: 415831831
0x01a serial_checksum[2]: 0
0x01e serial_checksum[3]: 0
0x022 serial_checksum[4]: 0
0x026 serial_checksum[5]: 0
0x02a serial_checksum[6]: 0
0x02e serial_checksum[7]: 0
0x032 checksum: 61

2012/12/28 Phillip Susi <email address hidden>

> sudo dmraid -n

/dev/sdg (via):
0x000 signature: 0xaa55
0x002 version_number: 2
0x003 array.disk.bootable: 0
0x003 array.disk.enable_enhanced: 0
0x003 array.disk.in_disk_array: 1
0x003 array.disk.raid_type: 0
0x003 array.disk.array_index: 0
0x003 array.disk.raid_type_info: 1
0x003 array.disk.raid_type_info(INDEX): 1
0x003 array.disk.raid_type_info(MIRROR): 0
0x003 array.disk.raid_type_info(DIRTY): 0
0x003 array.disk.tolerance: 0
0x005 array.disk_array_ex: 0x42
0x006 array.capacity_low: 1953525120
0x00a array.capacity_high: 0
0x00e array.serial_checksum: 415831831
0x012 serial_checksum[0]: 531896097
0x016 serial_checksum[1]: 415831831
0x01a serial_checksum[2]: 0
0x01e serial_checksum[3]: 0
0x022 serial_checksum[4]: 0
0x026 serial_checksum[5]: 0
0x02a serial_checksum[6]: 0
0x02e serial_checksum[7]: 0
0x032 checksum: 69

/dev/sdf (via):
0x000 signature: 0xaa55
0x002 version_number: 2
0x003 array.disk.bootable: 0
0x003 array.disk.enable_enhanced: 0
0x003 array.disk.in_disk_array: 1
0x003 array.disk.raid_type: 0
0x003 array.disk.array_index: 0
0x003 array.disk.raid_type_info: 0
0x003 array.disk.raid_type_info(INDEX): 0
0x003 array.disk.raid_type_info(MIRROR): 0
0x003 array.disk.raid_type_info(DIRTY): 0
0x003 array.disk.tolerance: 0
0x005 array.disk_array_ex: 0x42
0x006 array.capacity_low: 1953525120
0x00a array.capacity_high: 0
0x00e array.serial_checksum: 531896097
0x012 serial_checksum[0]: 531896097
0x016 serial_checksum[1]: 415831831
0x01a serial_checksum[2]: 0
0x01e serial_checksum[3]: 0
0x022 serial_checksum[4]: 0
0x026 serial_checksum[5]: 0
0x02a serial_checksum[6]: 0
0x02e serial_checksum[7]: 0
0x032 checksum: 61

why should the mirror be broken?
if so, this ALSO would fail, but does not!:

sudo grub-probe -vd /dev/dm-6

and (!) ... keep in mind as i told you the raid still WORKS without any errors with ubuntu 11.10 and related standard ubuntu version of grub there
(ok --- this info was within lots of characters of information in description part :D)

and ... this is 3rd time now that i ask this please:

"if you really still think that i can workaround for the meantime with changing stuff in device.map please tell me what should i add there"

Phillip Susi (psusi) wrote :

You should be able to work around it by adding this line to /boot/grub/device.map:

(hd0) /dev/mapper/via_jehhchjje

thanks, but this is one of hundreds of constellations i already checked out
from my listing above you would know, that

(hd3) /dev/mapper/via_jehhchjje
      ^

would be correct in my case.

anyway -- NO chance .... seems not being possible to workaround this bug.

my current device.map fyi:

(fd0) /dev/fd0
(hd0) /dev/disk/by-id/ata-ST31000528AS_6VP9JJJG
(hd1) /dev/disk/by-id/ata-ST1000DL002-9TT153_W1V09RY5
(hd2) /dev/disk/by-id/ata-ST1000DL002-9TT153_W1V09HRJ
(hd3) /dev/mapper/via_jehhchjje
(hd3,1) /dev/mapper/via_jehhchjje1
(hd3,2) /dev/mapper/via_jehhchjje2
(hd3,5) /dev/mapper/via_jehhchjje5
(hd3,7) /dev/disk/by-uuid/90ac6970-5f11-442d-8b51-c336f9e4149c
(hd3,8) /dev/disk/by-uuid/f5768a22-a5a9-4ee2-93fa-c2396573dbcf

it makes no difference for the line with hd3,7 and hd3,8 if it written with UUID or like this:

(hd3,7) /dev/dev/mapper/via_jehhchjje7
(hd3,8) /dev/dev/mapper/via_jehhchjje8

or even

(hd3,7) /dev/dm-6
(hd3,8) /dev/dm-7

absolutly no change in error message when update-grub:

josef@josef-maxtor-quad:~$ sudo update-grub
Generating grub.cfg ...
Found linux image: /boot/vmlinuz-3.2.0-35-generic
Found initrd image: /boot/initrd.img-3.2.0-35-generic
umount: /var/lib/os-prober/mount ist nicht eingehängt
rmdir: konnte »/var/lib/os-prober/mount“ nicht entfernen: Das Gerät oder die Ressource ist belegt
rmdir: konnte »/var/lib/os-prober/mount“ nicht entfernen: Das Gerät oder die Ressource ist belegt
rmdir: konnte »/var/lib/os-prober/mount“ nicht entfernen: Das Gerät oder die Ressource ist belegt
rmdir: konnte »/var/lib/os-prober/mount“ nicht entfernen: Das Gerät oder die Ressource ist belegt
rmdir: konnte »/var/lib/os-prober/mount“ nicht entfernen: Das Gerät oder die Ressource ist belegt
grub-probe: Fehler: cannot find a GRUB drive for /dev/mapper/via_jehhchjje7. Check your device.map.
grub-probe: Fehler: cannot find a GRUB drive for /dev/mapper/via_jehhchjje8. Check your device.map.
Found Windows 7 (loader) on /dev/mapper/via_jehhchjje1
Found Windows Vista (loader) on /dev/mapper/via_jehhchjje2
done

even same error message without any device.map file
.
could someone have a look to the code in grub-probe please ??!!??!!
or are we just discussing (talking in a circle without any outcome?!) here?
.
as far as i remember there was similar situation in the past when upgrading from 10.04 to 10.10
.
issue was solved in the past, but same error popped back
.
maybe someone in the past forgot to feed back the code changes in grub to http://www.gnu.org/ for root of any code changes in grub ??!!??

Phillip Susi (psusi) wrote :

Ohh, you should not have entries for partitions, only whole disks. Can you try removing device.map and running without it?

i already wrote that this makes no difference ....

i only created file device.map manually, because of the error message, but as i already posted i think more than 3 times now:
.
NO CHANGE -- AND NO EFFECT .... to the reason of the bug (of course output is slightly different)
.
removed partitions anyway now:

after sudo grub-mkdevicemap :

josef@josef-maxtor-quad:~$ cat /boot/grub/device.map
(fd0) /dev/fd0
(hd0) /dev/disk/by-id/ata-ST31000528AS_6VP9JJJG
(hd1) /dev/disk/by-id/ata-ST1000DL002-9TT153_W1V09RY5
(hd2) /dev/disk/by-id/ata-ST1000DL002-9TT153_W1V09HRJ
(hd3) /dev/mapper/via_jehhchjje

Phillip Susi (psusi) wrote :

Are you saying that grub-mkdevicemap generated that list after you removed it, or you built that list by hand?? And can you retry sudo grub-probe -vd /dev/mapper/via_jehhchjje7 using that new list and post the results?

if you are DEFINITLY NOT READING WHAT I POST then please read this:

device.map is not the root cause of the problem

please forward this bug to someone who is able to bugfix in code of grub-probe

...

otherwise i will start doing that myself :(

if i would have liked to discuss the topic i would have posted that to a forum with most likely useless effort.
.
THIS HERE - i thought - is more likely to report a bug that someone takes care of and starts working in studiing some code possibly causing the bug ....
.
i am a bit upset

Phillip Susi (psusi) wrote :

I can see that you are upset, and that is not helping, so try to calm down. Your original device.map was incorrect, so I wanted to make sure that was not the cause of the problem. Also can you post the output of sudo dmsetup ls --tree.

Phillip Susi (psusi) wrote :

This is very strange.. it looks like it is probing the array and detecting the partitions on it, but then says that device isn't found. How about going the reverse direction? What does grub-probe -t device (hd3) show?

josef@josef-maxtor-quad:~$ sudo dmsetup ls --tree
via_jehhchjje9 (252:8)
 └─via_jehhchjje3 (252:3)
    └─via_jehhchjje (252:1)
       ├─ (8:96)
       └─ (8:80)
via_jehhchjje8 (252:7)
 └─via_jehhchjje3 (252:3)
    └─via_jehhchjje (252:1)
       ├─ (8:96)
       └─ (8:80)
via_jehhchjje7 (252:6)
 └─via_jehhchjje3 (252:3)
    └─via_jehhchjje (252:1)
       ├─ (8:96)
       └─ (8:80)
via_jehhchjje6 (252:5)
 └─via_jehhchjje3 (252:3)
    └─via_jehhchjje (252:1)
       ├─ (8:96)
       └─ (8:80)
via_jehhchjje5 (252:4)
 └─via_jehhchjje3 (252:3)
    └─via_jehhchjje (252:1)
       ├─ (8:96)
       └─ (8:80)
via_jehhchjje2 (252:2)
 └─via_jehhchjje (252:1)
    ├─ (8:96)
    └─ (8:80)
via_jehhchjje1 (252:0)
 └─via_jehhchjje (252:1)
    ├─ (8:96)
    └─ (8:80)

josef@josef-maxtor-quad:~$ sudo grub-probe -t device (hd3)
bash: Syntaxfehler beim unerwarteten Wort `('

sure to pass parameters like this, because getting error message complaining the '(' ?

Download full text (10.1 KiB)

josef@josef-maxtor-quad:~$ sudo grub-probe -vt device "(hd3)"
grub-probe: Info: `/dev/fd0' looks like a floppy drive, skipping.
grub-probe: Info: Scanning for dmraid_nv RAID devices on disk hd0.
grub-probe: Info: the size of hd0 is 1953525168.
grub-probe: Info: the size of hd0 is 1953525168.
grub-probe: Info: Scanning for dmraid_nv RAID devices on disk hd1.
grub-probe: Info: the size of hd1 is 1953525168.
grub-probe: Info: the size of hd1 is 1953525168.
grub-probe: Info: Scanning for dmraid_nv RAID devices on disk hd2.
grub-probe: Info: the size of hd2 is 1953525168.
grub-probe: Info: the size of hd2 is 1953525168.
grub-probe: Info: Scanning for dmraid_nv RAID devices on disk hd3.
grub-probe: Info: the size of hd3 is 3907050240.
grub-probe: Info: the size of hd3 is 3907050240.
grub-probe: Info: scanning hd0 for LVM.
grub-probe: Info: the size of hd0 is 1953525168.
grub-probe: Info: no LVM signature found.
grub-probe: Info: the size of hd0 is 1953525168.
grub-probe: Info: scanning hd1 for LVM.
grub-probe: Info: the size of hd1 is 1953525168.
grub-probe: Info: no LVM signature found.
grub-probe: Info: the size of hd1 is 1953525168.
grub-probe: Info: scanning hd2 for LVM.
grub-probe: Info: the size of hd2 is 1953525168.
grub-probe: Info: no LVM signature found.
grub-probe: Info: the size of hd2 is 1953525168.
grub-probe: Info: scanning hd3 for LVM.
grub-probe: Info: the size of hd3 is 3907050240.
grub-probe: Info: no LVM signature found.
grub-probe: Info: the size of hd3 is 3907050240.
grub-probe: Info: Scanning for mdraid09 RAID devices on disk hd0.
grub-probe: Info: the size of hd0 is 1953525168.
grub-probe: Info: the size of hd0 is 1953525168.
grub-probe: Info: Scanning for mdraid09 RAID devices on disk hd1.
grub-probe: Info: the size of hd1 is 1953525168.
grub-probe: Info: the size of hd1 is 1953525168.
grub-probe: Info: Scanning for mdraid09 RAID devices on disk hd2.
grub-probe: Info: the size of hd2 is 1953525168.
grub-probe: Info: the size of hd2 is 1953525168.
grub-probe: Info: Scanning for mdraid09 RAID devices on disk hd3.
grub-probe: Info: the size of hd3 is 3907050240.
grub-probe: Info: the size of hd3 is 3907050240.
grub-probe: Info: Scanning for mdraid1x RAID devices on disk hd0.
grub-probe: Info: the size of hd0 is 1953525168.
grub-probe: Info: the size of hd0 is 1953525168.
grub-probe: Info: Scanning for mdraid1x RAID devices on disk hd1.
grub-probe: Info: the size of hd1 is 1953525168.
grub-probe: Info: the size of hd1 is 1953525168.
grub-probe: Info: Scanning for mdraid1x RAID devices on disk hd2.
grub-probe: Info: the size of hd2 is 1953525168.
grub-probe: Info: the size of hd2 is 1953525168.
grub-probe: Info: Scanning for mdraid1x RAID devices on disk hd3.
grub-probe: Info: the size of hd3 is 3907050240.
grub-probe: Info: the size of hd3 is 3907050240.
grub-probe: Info: Scanning for mdraid09 RAID devices on disk hd0.
grub-probe: Info: the size of hd0 is 1953525168.
grub-probe: Info: the size of hd0 is 1953525168.
grub-probe: Info: Scanning for mdraid09 RAID devices on disk hd0,msdos6.
grub-probe: Info: the size of hd0 is 1953525168.
grub-probe: Info: Scanning for mdraid09 RAID devices on disk hd0,msdos5.
grub-probe: Info: the...

Download full text (4.2 KiB)

if 'parted -l' is used within grub-probe this could cause problems, as i saw -- i only could get an output by two times ignoring errors as you can see .... maybe this could also help:

josef@josef-maxtor-quad:~$ sudo parted -l
Modell: ATA ST31000528AS (scsi)
Festplatte /dev/sda: 1000GB
Sektorgröße (logisch/physisch): 512B/512B
Partitionstabelle: msdos

Nummer Anfang Ende Größe Typ Dateisystem Flags
 1 32,3kB 32,2GB 32,2GB primary ntfs
 2 32,2GB 75,2GB 43,0GB primary ntfs boot
 3 75,2GB 988GB 912GB primary ntfs
 4 988GB 1000GB 12,6GB extended
 5 988GB 998GB 10,5GB logical ext4
 6 998GB 1000GB 2095MB logical linux-swap(v1)

Fehler: Partitionen ausserhalb der Festplatte sind nicht möglich!

Modell: Linux-Device-Mapper (linear) (dm)
Festplatte /dev/mapper/via_jehhchjje6: 1815GB
Sektorgröße (logisch/physisch): 512B/512B
Partitionstabelle: loop

Nummer Anfang Ende Größe Dateisystem Flags
 1 0,00B 1815GB 1815GB ntfs

Fehler: Das Argument ist ungültig, während /dev/mapper/via_jehhchjje3 zum Lesen
positioniert wurde
Wiederholen/Retry/Ignorieren/Ignore/Abbrechen/Cancel? i
parted: Unbekanntes Zeichen: i
Wiederholen/Retry/Ignorieren/Ignore/Abbrechen/Cancel? I
parted: Unbekanntes Zeichen: I
Wiederholen/Retry/Ignorieren/Ignore/Abbrechen/Cancel? r
Fehler: Das Argument ist ungültig, während /dev/mapper/via_jehhchjje3 zum Lesen positioniert wurde
Wiederholen/Retry/Ignorieren/Ignore/Abbrechen/Cancel? ignore
Fehler: Ungültige Partitionstabelle auf /dev/mapper/via_jehhchjje3 -- falsche Signatur 0.
Ignorieren/Ignore/Abbrechen/Cancel? ignore
Modell: Linux-Device-Mapper (linear) (dm)
Festplatte /dev/mapper/via_jehhchjje3: 1905GB
Sektorgröße (logisch/physisch): 512B/512B
Partitionstabelle: msdos

Nummer Anfang Ende Größe Typ Dateisystem Flags
 1 1024B 52,4GB 52,4GB primary ntfs
 2 52,4GB 1867GB 1815GB extended
 5 52,4GB 1867GB 1815GB logical ntfs

Modell: Linux-Device-Mapper (linear) (dm)
Festplatte /dev/mapper/via_jehhchjje1: 43,0GB
Sektorgröße (logisch/physisch): 512B/512B
Partitionstabelle: loop

Nummer Anfang Ende Größe Dateisystem Flags
 1 0,00B 43,0GB 43,0GB ntfs

Modell: Linux-Device-Mapper (linear) (dm)
Festplatte /dev/mapper/via_jehhchjje2: 52,4GB
Sektorgröße (logisch/physisch): 512B/512B
Partitionstabelle: loop

Nummer Anfang Ende Größe Dateisystem Flags
 1 0,00B 52,4GB 52,4GB ntfs

Modell: Linux-Device-Mapper (linear) (dm)
Festplatte /dev/mapper/via_jehhchjje5: 52,4GB
Sektorgröße (logisch/physisch): 512B/512B
Partitionstabelle: loop

Nummer Anfang Ende Größe Dateisystem Flags
 1 0,00B 52,4GB 52,4GB ntfs

Modell: Linux-Device-Mapper (linear) (dm)
Festplatte /dev/mapper/via_jehhchjje9: 2096MB
Sektorgröße (logisch/physisch): 512B/512B
Partitionstabelle: loop

Nummer Anfang Ende Größe Dateisystem Flags
 1 0,00B 2096MB 2096MB linux-swap(v1)

Modell: Linux-Device-Mapper (linear) (dm)
Festplatte /dev/mapper/via_jehhchjje7...

Read more...

Phillip Susi (psusi) wrote :

For some reason you seem to have a partition table inside the partition /dev/mapper/via_jehhchjje3. While this is unusual and is causing several of the messages you noticed, I don't think it's a problem. If you want you can try zeroing out the first sector to get rid of it.

i don't think zeroing it would be good idea.
via_jehhchjje3 is a logical partition basically holding 5,7,8 and 9
with gparted i can see this
with parted it looks a little "strange"
.
nevertheless i think now that this logical partition via_jehhchjje3 is also the point where grub fails ... not able resolving it .. whatever like this
.
but as said .... with grub within ubuntu 11.10 THIS also is no problem THERE, but within grub of ubuntu 12.04 (and 12.10)

you saw that you already got answer above related to your questions for:
sudo dmsetup ls --tree
and
sudo grub-probe -t device "(hd3)" ?

Phillip Susi (psusi) wrote :

Oh yes, 3 is an extended partition. Odd. You might try disabling it with:

sudo dmsetup rm via_hehhchjje3

maybe this also is helpful:
made a diff of
grub-probe -vvd /dev/dm-6
versus
grub-probe -vvd /dev/mapper/via_jehhchjje7

at certain stage /dev/dm-6 just gets opened:

grub-core/kern/disk.c:338: Closing `hd3'.
grub-core/kern/disk.c:245: Opening `hd3,7'...
grub-core/partmap/msdos.c:166: partition 0: flag 0x80, type 0x7, start 0x3ec1, len 0x50014e6
grub-core/partmap/msdos.c:166: partition 1: flag 0x0, type 0x7, start 0x50053a7, len 0x61a7966
grub-core/partmap/msdos.c:166: partition 2: flag 0x0, type 0x5, start 0xb1acd4a, len 0xddc60ab6
grub-core/partmap/msdos.c:166: partition 3: flag 0x0, type 0x0, start 0x0, len 0x0
grub-core/partmap/msdos.c:166: partition 0: flag 0x0, type 0x7, start 0xb1acd4c, len 0x61a7927
grub-core/partmap/msdos.c:166: partition 1: flag 0x0, type 0x5, start 0x11354673, len 0xd346918d
grub-core/partmap/msdos.c:166: partition 2: flag 0x0, type 0x0, start 0xb1acd4a, len 0x0
grub-core/partmap/msdos.c:166: partition 3: flag 0x0, type 0x0, start 0xb1acd4a, len 0x0
grub-core/partmap/msdos.c:166: partition 0: flag 0x0, type 0x7, start 0x11356000, len 0xd3467800
grub-core/partmap/msdos.c:166: partition 1: flag 0x0, type 0x5, start 0xea9681bf, len 0x270d7b5
grub-core/partmap/msdos.c:166: partition 2: flag 0x0, type 0x0, start 0x11354673, len 0x0
grub-core/partmap/msdos.c:166: partition 3: flag 0x0, type 0x0, start 0x11354673, len 0x0
grub-core/partmap/msdos.c:166: partition 0: flag 0x0, type 0xfd, start 0xe47c08d5, len 0x270d776
grub-core/kern/fs.c:54: Detecting zfs...
grub-core/kern/emu/hostdisk.c:507: dm /dev/mapper/via_jehhchjje1 starts at 16065
grub-core/kern/emu/hostdisk.c:507: dm /dev/mapper/via_jehhchjje2 starts at 83907495
grub-core/kern/emu/hostdisk.c:507: dm /dev/mapper/via_jehhchjje3 starts at 186305866
grub-core/kern/emu/hostdisk.c:507: dm /dev/mapper/via_jehhchjje5 starts at 2
grub-core/kern/emu/hostdisk.c:507: dm /dev/mapper/via_jehhchjje6 starts at 102404790
grub-core/kern/emu/hostdisk.c:507: dm /dev/mapper/via_jehhchjje7 starts at 3647028107
grub-core/kern/emu/hostdisk.c:507: dm /dev/mapper/via_jehhchjje8 starts at 3687977792
grub-core/kern/emu/hostdisk.c:507: dm /dev/mapper/via_jehhchjje9 starts at 3716649654
grub-core/kern/emu/hostdisk.c:722: opening the device `/dev/mapper/via_jehhchjje' in open_device()

while /dev/mapper/via_jehhchjje7 gets in trouble trying to open extended partition:

grub-core/kern/disk.c:338: Closing `hd3'.
grub-core/kern/emu/hostdisk.c:1452: /dev/dm-6 is not DM-RAID
grub-core/kern/emu/hostdisk.c:1452: /dev/dm-6 is not DM-RAID
grub-core/kern/emu/hostdisk.c:1452: /dev/dm-6 is not DM-RAID
grub-core/kern/emu/hostdisk.c:507: dm /dev/mapper/via_jehhchjje7 starts at 3647028107
grub-core/kern/disk.c:245: Opening `/dev/mapper/via_jehhchjje3'...
grub-core/kern/emu/hostdisk.c:722: opening the device `/dev/mapper/via_jehhchjje3' in open_device()

if i do
sudo dmsetup rm via_hehhchjje3

i will destroy the raid or the involved partitions?

Phillip Susi (psusi) wrote :

No, it will simply get rid of the device. It will come back after a reboot. If that is the problem, then removing it temporarily should work around it.

Download full text (4.7 KiB)

Dear Phillip and maybe others involved!
Please read the following carefully to understand the situation completely:

Since yesterday i tried to work around by bying a SSD to boot from, B U T !!!
it seems the problem causing grub-probe to fail are raid drivers (i don't know sure if dmraid currently)
AND
this problem does not only occur while trying to upgrade from ubuntu 11.10 to 12.04, it also occurs when trying to make a new install on any other harddisk than raid in the system, (like my new SSD) as long as a raid device is present in the system

i tried new installation with ubuntu 12.04 onto the SSD a few times: failing .... installation process gets stuck immediatly after having set up where to install ... installer stucks at page of country to select

currently i am writing this out of a ubuntu 11.10 live CD where installation on SSD worked like charm

without that i have changed anything manually now -- look at this (no via_jehhchjje3 in between!):

ubuntu@ubuntu:~$ sudo dmsetup ls --tree
via_jehhchjje9 (253:8)
 └─via_jehhchjje (253:0)
    ├─ (8:48)
    └─ (8:32)
via_jehhchjje8 (253:7)
 └─via_jehhchjje (253:0)
    ├─ (8:48)
    └─ (8:32)
via_jehhchjje7 (253:6)
 └─via_jehhchjje (253:0)
    ├─ (8:48)
    └─ (8:32)
via_jehhchjje6 (253:5)
 └─via_jehhchjje (253:0)
    ├─ (8:48)
    └─ (8:32)
via_jehhchjje5 (253:4)
 └─via_jehhchjje (253:0)
    ├─ (8:48)
    └─ (8:32)
via_jehhchjje2 (253:3)
 └─via_jehhchjje (253:0)
    ├─ (8:48)
    └─ (8:32)
via_jehhchjje1 (253:1)
 └─via_jehhchjje (253:0)
    ├─ (8:48)
    └─ (8:32)

perfect ! like it should be ....

i also observed when trying failing installation with 12.04 that the list of partitions presented was absolutely incorrect for raid -- there were not only the partitions itself listed once, they were listed again further down and each single partition twice ! -- one each selectable for installation of system
even as i tried to install to SSD with ubuntu 12.04 installer and NOT to raid, it failed -- obviously due to the wrong presented raid in the system, causing the installer to fail.

with ubuntu 11.10 live CD also parted -l lists without interrupting the output (and is NOT waiting for input as it does under 12.04 -- and i am pretty sure that grub-install and update-grub fails because of that):

ubuntu@ubuntu:~$ sudo parted -l
Model: ATA ST2000DL003-9VT1 (scsi)
Disk /dev/sda: 2000GB
Sector size (logical/physical): 512B/4096B
Partition Table: msdos

Number Start End Size Type File system Flags
 1 1049kB 39,6GB 39,6GB primary ntfs
 2 39,6GB 92,0GB 52,4GB primary ntfs
 3 92,0GB 1979GB 1887GB primary ntfs
 4 1979GB 2000GB 21,0GB extended
 5 1979GB 1998GB 18,9GB logical ext4
 6 1998GB 2000GB 2096MB logical linux-swap(v1)

Model: ATA OCZ-VERTEX4 (scsi)
Disk /dev/sdb: 128GB
Sector size (logical/physical): 512B/512B
Partition Table: msdos

Number Start End Size Type File system Flags
 1 1049kB 33,7GB 33,7GB primary ntfs boot
 2 33,7GB 107GB 73,4GB primary ntfs
 3 107GB 128GB 21,0GB extended
 5 107GB 126GB 18,9GB logical ext4
 6 126GB 128GB ...

Read more...

Phillip Susi (psusi) wrote :

So you are saying that the extended partition did not get a dev node before, but does now, and that seems to be the problem? I was starting to suspect that. Does removing it with dmsetup on 12.04 allow you to proceed?

no, i was not able to change anything with dmsetup in 12.04 ... only got error messages that this is not possible ... i don't know how to do as your proposal does not work :(

Phillip Susi (psusi) wrote :

What was the error message?

ok - sorry - needed to rebuild the raid to answer your question, because i tried at least one work around: deactivating the raid :(
.
josef@josef-maxtor-quad:~$ sudo sudo dmsetup remove via_hehhchjje3
[sudo] password for josef:
device-mapper: remove ioctl failed: Kein passendes Gerät bzw. keine passende Adresse gefunden
Command failed
.
'Kein passendes Gerät bzw. keine passende Adresse gefunden' means: no "fitting" device or adress found

Phillip Susi (psusi) wrote :

Did you get the name right? I assume it changed since before? Does /dev/mapper/via_hehhchjje3 still exist?

yes - the name was misspelled -- the correct name is via_jahhchjje3 and not via_hehhchjje3
but i only end up with different error message
-
sorry that it took longer - i deleted whole raid by error and built it new ... i made backup of all partitions with fsarchiver before and do currently recover the raid ... os's are back ... only data to copy .. can do later

josef@josef-maxtor-quad:~$ sudo dmsetup remove /dev/mapper/via_jehhchjje3
device-mapper: remove ioctl failed: Das Gerät oder die Ressource ist belegt
Command failed

"Das Gerät oder die Ressource ist belegt" means device or resource is busy
but no partition is mounted :(

Phillip Susi (psusi) wrote :

Does dmsetup tree show that device being used by another? By the way, you can prefix commands with LANG=C to disable the translations.

nothing changed
with ubuntu 12.04 the tree looks like above with via_jehhchjje3 in between
while ubuntu 11.10 still shows and behaves correct

Phillip Susi (psusi) wrote :

Can you look up the dm-X number that points to and check ls /sys/block/dm-X/holders? Something must have it open...

Download full text (47.1 KiB)

check which dm-X (?) number pointing to what?
... there are only 'loopx' and no dm-x in /sys/block
currently any of existing holders directory is empty, but i have no raid
running

... i am able to test in next view days, if you make your request more
precise please
... need to rebuild again from backup

Josef

2013/1/2 Phillip Susi <email address hidden>

> Can you look up the dm-X number that points to and check ls
> /sys/block/dm-X/holders? Something must have it open...
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1093918
>
> Title:
> grub-probe auto-detection fails on raid
>
> Status in “grub2” package in Ubuntu:
> New
>
> Bug description:
> grub-probe auto-detection fails on raid, which can be seen f.e. on
> update-grub on separate hd in system.
> error messages:
> grub-probe: Fehler: cannot find a GRUB drive for
> /dev/mapper/via_jehhchjje7. Check your device.map.
> grub-probe: Fehler: cannot find a GRUB drive for
> /dev/mapper/via_jehhchjje8. Check your device.map.
>
> installation of grub in MBR of raid not possible. It was no problem
> until ubuntu 11.10, which still is in use on raid to boot from (ubuntu
> on raid /dev/mapper/via_jehhchjje7 ext4), because upgrade to 12.04 is
> not possible. There are really many users. also on servers effected,
> when you study the web via search engine !!!!
>
> interesting thing is:
> josef@josef-maxtor-quad:~$ ls -al /dev/mapper
> insgesamt 0
> drwxr-xr-x 2 root root 240 Dez 27 2012 .
> drwxr-xr-x 17 root root 4840 Dez 27 00:38 ..
> crw------- 1 root root 10, 236 Dez 27 00:33 control
> lrwxrwxrwx 1 root root 7 Dez 27 00:33 via_jehhchjje -> ../dm-0
> lrwxrwxrwx 1 root root 7 Dez 27 00:33 via_jehhchjje1 -> ../dm-1
> lrwxrwxrwx 1 root root 7 Dez 27 00:33 via_jehhchjje2 -> ../dm-2
> lrwxrwxrwx 1 root root 7 Dez 27 00:33 via_jehhchjje3 -> ../dm-3
> lrwxrwxrwx 1 root root 7 Dez 27 00:33 via_jehhchjje5 -> ../dm-4
> lrwxrwxrwx 1 root root 7 Dez 27 00:33 via_jehhchjje6 -> ../dm-5
> lrwxrwxrwx 1 root root 7 Dez 27 00:33 via_jehhchjje7 -> ../dm-6
> lrwxrwxrwx 1 root root 7 Dez 27 00:33 via_jehhchjje8 -> ../dm-7
> ... here is ubuntu 11.10 on raid
> lrwxrwxrwx 1 root root 7 Dez 27 00:33 via_jehhchjje9 -> ../dm-8
>
> there is a link ->> via_jehhchjje7 -> ../dm-6
>
> while
>
> josef@josef-maxtor-quad:~$ sudo grub-probe -vd
> /dev/mapper/via_jehhchjje7
> [sudo] password for josef:
> grub-probe: Info: Scanning for dmraid_nv RAID devices on disk hd2.
> grub-probe: Info: the size of hd2 is 1953525168.
> grub-probe: Info: the size of hd2 is 1953525168.
> grub-probe: Info: Scanning for dmraid_nv RAID devices on disk hd3.
> grub-probe: Info: the size of hd3 is 3907050240.
> grub-probe: Info: the size of hd3 is 3907050240.
> grub-probe: Info: scanning hd2 for LVM.
> grub-probe: Info: the size of hd2 is 1953525168.
> grub-probe: Info: no LVM signature found.
> grub-probe: Info: the size of hd2 is 1953525168.
> grub-probe: Info: scanning hd3 for LVM.
> grub-probe: Info: the siz...

Phillip Susi (psusi) wrote :

Originally you showed that the partition corresponded to dm-3. If that is still the case, then check /sys/block/dm-3/holders.

josef@josef-maxtor-quad:~$ ls -al /sys/block/dm-3/holders/
insgesamt 0
drwxr-xr-x 2 root root 0 Jän 4 20:43 .
drwxr-xr-x 8 root root 0 Jän 4 20:43 ..
lrwxrwxrwx 1 root root 0 Jän 4 20:47 dm-4 -> ../../dm-4
lrwxrwxrwx 1 root root 0 Jän 4 20:47 dm-5 -> ../../dm-5
lrwxrwxrwx 1 root root 0 Jän 4 20:47 dm-6 -> ../../dm-6
lrwxrwxrwx 1 root root 0 Jän 4 20:47 dm-7 -> ../../dm-7
lrwxrwxrwx 1 root root 0 Jän 4 20:47 dm-8 -> ../../dm-8

Phillip Susi (psusi) wrote :

Oh boy, all have the logical partitions are built using that nonsense extended. Something is really fubar here.

Phillip Susi (psusi) wrote :

kpartx is incorrectly mapping the entire extended partition, then building the logical partitions on top of the extended. Bad kpartx.

and now? can i do something meanwhile, or need to wait for some nice guy to bugfix kpartx ??
does bug report need an updated title? :D

Phillip Susi (psusi) wrote :

I believe I have fixed the problem. Please add my PPA to your sources and update:

sudo apt-add-repository ppa:psusi/ppa
sudo apt-get update
sudo apt-get upgrade

Download full text (6.3 KiB)

Good Job!
Nearly perfect ... only some error message left when doing 'sudo update-grub':

josef@josef-maxtor-quad:~$ sudo dmsetup ls --tree
[sudo] password for josef:
via_jehhchjje9 (252:8)
 └─via_jehhchjje (252:1)
    ├─ (8:128)
    └─ (8:112)
via_jehhchjje8 (252:7)
 └─via_jehhchjje (252:1)
    ├─ (8:128)
    └─ (8:112)
via_jehhchjje7 (252:6)
 └─via_jehhchjje (252:1)
    ├─ (8:128)
    └─ (8:112)
via_jehhchjje6 (252:5)
 └─via_jehhchjje (252:1)
    ├─ (8:128)
    └─ (8:112)
via_jehhchjje5 (252:4)
 └─via_jehhchjje (252:1)
    ├─ (8:128)
    └─ (8:112)
via_jehhchjje3 (252:3)
 └─via_jehhchjje (252:1)
    ├─ (8:128)
    └─ (8:112)
via_jehhchjje2 (252:2)
 └─via_jehhchjje (252:1)
    ├─ (8:128)
    └─ (8:112)
via_jehhchjje1 (252:0)
 └─via_jehhchjje (252:1)
    ├─ (8:128)
    └─ (8:112)
josef@josef-maxtor-quad:~$ sudo update-grub
Generating grub.cfg ...
Found linux image: /boot/vmlinuz-3.2.0-35-generic
Found initrd image: /boot/initrd.img-3.2.0-35-generic
ERROR: ddf1: seeking device "/dev/dm-3" to 18446744073709421056
ERROR: hpt37x: seeking device "/dev/dm-3" to 4608
ERROR: hpt45x: seeking device "/dev/dm-3" to 18446744073709547008
ERROR: isw: seeking device "/dev/dm-3" to 18446744073708469760
ERROR: sil: seeking device "/dev/dm-3" to 18446744073709289984
ERROR: ddf1: seeking device "/dev/dm-3" to 18446744073709421056
ERROR: hpt37x: seeking device "/dev/dm-3" to 4608
ERROR: hpt45x: seeking device "/dev/dm-3" to 18446744073709547008
ERROR: isw: seeking device "/dev/dm-3" to 18446744073708469760
ERROR: sil: seeking device "/dev/dm-3" to 18446744073709289984
ERROR: ddf1: seeking device "/dev/dm-3" to 18446744073709421056
ERROR: hpt37x: seeking device "/dev/dm-3" to 4608
ERROR: hpt45x: seeking device "/dev/dm-3" to 18446744073709547008
ERROR: isw: seeking device "/dev/dm-3" to 18446744073708469760
ERROR: sil: seeking device "/dev/dm-3" to 18446744073709289984
ERROR: ddf1: seeking device "/dev/dm-3" to 18446744073709421056
ERROR: hpt37x: seeking device "/dev/dm-3" to 4608
ERROR: hpt45x: seeking device "/dev/dm-3" to 18446744073709547008
ERROR: isw: seeking device "/dev/dm-3" to 18446744073708469760
ERROR: sil: seeking device "/dev/dm-3" to 18446744073709289984
ERROR: ddf1: seeking device "/dev/dm-3" to 18446744073709421056
ERROR: hpt37x: seeking device "/dev/dm-3" to 4608
ERROR: hpt45x: seeking device "/dev/dm-3" to 18446744073709547008
ERROR: isw: seeking device "/dev/dm-3" to 18446744073708469760
ERROR: sil: seeking device "/dev/dm-3" to 18446744073709289984
ERROR: ddf1: seeking device "/dev/dm-3" to 18446744073709421056
ERROR: hpt37x: seeking device "/dev/dm-3" to 4608
ERROR: hpt45x: seeking device "/dev/dm-3" to 18446744073709547008
ERROR: isw: seeking device "/dev/dm-3" to 18446744073708469760
ERROR: sil: seeking device "/dev/dm-3" to 18446744073709289984
ERROR: ddf1: seeking device "/dev/dm-3" to 18446744073709421056
ERROR: hpt37x: seeking device "/dev/dm-3" to 4608
ERROR: hpt45x: seeking device "/dev/dm-3" to 18446744073709547008
ERROR: isw: seeking device "/dev/dm-3" to 18446744073708469760
ERROR: sil: seeking device "/dev/dm-3" to 18446744073709289984
ERROR: ddf1: seeking device "/dev/dm-3" to 18446744073709421056
ERROR: hpt37x: seeking device...

Read more...

Download full text (53.5 KiB)

i did
... writing this out of ubuntu 12.04 from Raid

thank you very much!

... i assume this will find the way to official repo as update when fully
finished?

2013/1/5 Ing. Josef Klotzner <email address hidden>

> Good Job!
> Nearly perfect ... only some error message left when doing 'sudo
> update-grub':
>
> josef@josef-maxtor-quad:~$ sudo dmsetup ls --tree
> [sudo] password for josef:
> via_jehhchjje9 (252:8)
> └─via_jehhchjje (252:1)
> ├─ (8:128)
> └─ (8:112)
> via_jehhchjje8 (252:7)
> └─via_jehhchjje (252:1)
> ├─ (8:128)
> └─ (8:112)
> via_jehhchjje7 (252:6)
> └─via_jehhchjje (252:1)
> ├─ (8:128)
> └─ (8:112)
> via_jehhchjje6 (252:5)
> └─via_jehhchjje (252:1)
> ├─ (8:128)
> └─ (8:112)
> via_jehhchjje5 (252:4)
> └─via_jehhchjje (252:1)
> ├─ (8:128)
> └─ (8:112)
> via_jehhchjje3 (252:3)
> └─via_jehhchjje (252:1)
> ├─ (8:128)
> └─ (8:112)
> via_jehhchjje2 (252:2)
> └─via_jehhchjje (252:1)
> ├─ (8:128)
> └─ (8:112)
> via_jehhchjje1 (252:0)
> └─via_jehhchjje (252:1)
> ├─ (8:128)
> └─ (8:112)
> josef@josef-maxtor-quad:~$ sudo update-grub
> Generating grub.cfg ...
> Found linux image: /boot/vmlinuz-3.2.0-35-generic
> Found initrd image: /boot/initrd.img-3.2.0-35-generic
> ERROR: ddf1: seeking device "/dev/dm-3" to 18446744073709421056
> ERROR: hpt37x: seeking device "/dev/dm-3" to 4608
> ERROR: hpt45x: seeking device "/dev/dm-3" to 18446744073709547008
> ERROR: isw: seeking device "/dev/dm-3" to 18446744073708469760
> ERROR: sil: seeking device "/dev/dm-3" to 18446744073709289984
> ERROR: ddf1: seeking device "/dev/dm-3" to 18446744073709421056
> ERROR: hpt37x: seeking device "/dev/dm-3" to 4608
> ERROR: hpt45x: seeking device "/dev/dm-3" to 18446744073709547008
> ERROR: isw: seeking device "/dev/dm-3" to 18446744073708469760
> ERROR: sil: seeking device "/dev/dm-3" to 18446744073709289984
> ERROR: ddf1: seeking device "/dev/dm-3" to 18446744073709421056
> ERROR: hpt37x: seeking device "/dev/dm-3" to 4608
> ERROR: hpt45x: seeking device "/dev/dm-3" to 18446744073709547008
> ERROR: isw: seeking device "/dev/dm-3" to 18446744073708469760
> ERROR: sil: seeking device "/dev/dm-3" to 18446744073709289984
> ERROR: ddf1: seeking device "/dev/dm-3" to 18446744073709421056
> ERROR: hpt37x: seeking device "/dev/dm-3" to 4608
> ERROR: hpt45x: seeking device "/dev/dm-3" to 18446744073709547008
> ERROR: isw: seeking device "/dev/dm-3" to 18446744073708469760
> ERROR: sil: seeking device "/dev/dm-3" to 18446744073709289984
> ERROR: ddf1: seeking device "/dev/dm-3" to 18446744073709421056
> ERROR: hpt37x: seeking device "/dev/dm-3" to 4608
> ERROR: hpt45x: seeking device "/dev/dm-3" to 18446744073709547008
> ERROR: isw: seeking device "/dev/dm-3" to 18446744073708469760
> ERROR: sil: seeking device "/dev/dm-3" to 18446744073709289984
> ERROR: ddf1: seeking device "/dev/dm-3" to 18446744073709421056
> ERROR: hpt37x: seeking device "/dev/dm-3" to 4608
> ERROR: hpt45x: seeking device "/dev/dm-3" to 18446744073709547008
> ERROR: isw: seeking device "/dev/dm-3" to 18446744073708469760
> ERROR: sil: seeking device "/dev/dm-3" to 18446744073709289984
> ERROR: ddf1: seeking device "/dev/d...

Phillip Susi (psusi) wrote :

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Did the other errors go away? Those were odd... looked like something
dmraid might say but AFAIK it isn't run by update-grub.

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with undefined - http://www.enigmail.net/

iQEcBAEBAgAGBQJQ6KYMAAoJEJrBOlT6nu75ZmUH/R0th/T1IAfPDDLTwAdNjaw5
Ve6Os4/cjdthWt2ZDY1l3RfUmmc5DzNdEdbbNqNYlzquCeydV3BuY5h0Z6Ag/D/l
TrObvoFxXSTnGzPcA4SKNAcYcfjV1/pqcX1bmYEwjaxgAcS+6kFD6g/c6Si1L8zm
zqmhpFnYzsdJzmrsLejYAsRuGUD4/fYASupsvM4g6jk1f4g4N/wx2ZfPodKGlpwW
qr8gKQdJS4wI4tHbDtwSl+LjIFSAIBisbON3t2T44VGELXV4Nut+k0YcMxf7RQkZ
fW0H4cTq2lpxYok6mVqkS+AYcAZfFLpvrQVfPH7oVzUlYuxj2qSJrwOjBBBCb8U=
=LPPW
-----END PGP SIGNATURE-----

Download full text (52.1 KiB)

no - the errors i reported, occuring when runnind 'sudo update-grub' are
still existing, but it works:

josef@josef-desktop-quad:~$ sudo update-grub
[sudo] password for josef:
Generating grub.cfg ...
Found linux image: /boot/vmlinuz-3.2.0-35-generic
Found initrd image: /boot/initrd.img-3.2.0-35-generic
ERROR: ddf1: seeking device "/dev/dm-3" to 18446744073709421056
ERROR: hpt37x: seeking device "/dev/dm-3" to 4608
ERROR: hpt45x: seeking device "/dev/dm-3" to 18446744073709547008
ERROR: isw: seeking device "/dev/dm-3" to 18446744073708469760
ERROR: sil: seeking device "/dev/dm-3" to 18446744073709289984
ERROR: ddf1: seeking device "/dev/dm-3" to 18446744073709421056
ERROR: hpt37x: seeking device "/dev/dm-3" to 4608
ERROR: hpt45x: seeking device "/dev/dm-3" to 18446744073709547008
ERROR: isw: seeking device "/dev/dm-3" to 18446744073708469760
ERROR: sil: seeking device "/dev/dm-3" to 18446744073709289984
ERROR: ddf1: seeking device "/dev/dm-3" to 18446744073709421056
ERROR: hpt37x: seeking device "/dev/dm-3" to 4608
ERROR: hpt45x: seeking device "/dev/dm-3" to 18446744073709547008
ERROR: isw: seeking device "/dev/dm-3" to 18446744073708469760
ERROR: sil: seeking device "/dev/dm-3" to 18446744073709289984
ERROR: ddf1: seeking device "/dev/dm-3" to 18446744073709421056
ERROR: hpt37x: seeking device "/dev/dm-3" to 4608
ERROR: hpt45x: seeking device "/dev/dm-3" to 18446744073709547008
ERROR: isw: seeking device "/dev/dm-3" to 18446744073708469760
ERROR: sil: seeking device "/dev/dm-3" to 18446744073709289984
ERROR: ddf1: seeking device "/dev/dm-3" to 18446744073709421056
ERROR: hpt37x: seeking device "/dev/dm-3" to 4608
ERROR: hpt45x: seeking device "/dev/dm-3" to 18446744073709547008
ERROR: isw: seeking device "/dev/dm-3" to 18446744073708469760
ERROR: sil: seeking device "/dev/dm-3" to 18446744073709289984
ERROR: ddf1: seeking device "/dev/dm-3" to 18446744073709421056
ERROR: hpt37x: seeking device "/dev/dm-3" to 4608
ERROR: hpt45x: seeking device "/dev/dm-3" to 18446744073709547008
ERROR: isw: seeking device "/dev/dm-3" to 18446744073708469760
ERROR: sil: seeking device "/dev/dm-3" to 18446744073709289984
ERROR: ddf1: seeking device "/dev/dm-3" to 18446744073709421056
ERROR: hpt37x: seeking device "/dev/dm-3" to 4608
ERROR: hpt45x: seeking device "/dev/dm-3" to 18446744073709547008
ERROR: isw: seeking device "/dev/dm-3" to 18446744073708469760
ERROR: sil: seeking device "/dev/dm-3" to 18446744073709289984
ERROR: ddf1: seeking device "/dev/dm-3" to 18446744073709421056
ERROR: hpt37x: seeking device "/dev/dm-3" to 4608
ERROR: hpt45x: seeking device "/dev/dm-3" to 18446744073709547008
ERROR: isw: seeking device "/dev/dm-3" to 18446744073708469760
ERROR: sil: seeking device "/dev/dm-3" to 18446744073709289984
ERROR: ddf1: seeking device "/dev/dm-3" to 18446744073709421056
ERROR: hpt37x: seeking device "/dev/dm-3" to 4608
ERROR: hpt45x: seeking device "/dev/dm-3" to 18446744073709547008
ERROR: isw: seeking device "/dev/dm-3" to 18446744073708469760
ERROR: sil: seeking device "/dev/dm-3" to 18446744073709289984
ERROR: ddf1: seeking device "/dev/dm-3" to 18446744073709421056
ERROR: hpt37x: seeking device "/dev/dm-3" to 4608
ERROR: hpt45x: seeking devic...

Phillip Susi (psusi) on 2013-01-07
description: updated
no longer affects: grub2 (Ubuntu)
Robie Basak (racb) wrote :

Since you now have a patch that appears to work, I presume this can be marked Triaged?

Changed in multipath-tools (Ubuntu):
status: New → Triaged
Changed in multipath-tools (Ubuntu Quantal):
status: New → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package multipath-tools - 0.4.9-3ubuntu7

---------------
multipath-tools (0.4.9-3ubuntu7) raring; urgency=low

  * Add 0010-fix-extended-partitions.patch: Only expose the
    first two sectors of the extended partition (LP: #1093918).
 -- Phillip Susi <email address hidden> Fri, 04 Jan 2013 16:14:34 -0500

Changed in multipath-tools (Ubuntu):
status: Triaged → Fix Released

Dear Philip!
i did new install today (30th april 2013) with 12.04.2

same bug !!!!

it is still not in the updates !!!

Phillip Susi (psusi) on 2013-05-28
Changed in multipath-tools (Ubuntu Precise):
status: New → In Progress
assignee: nobody → Phillip Susi (psusi)
importance: Undecided → Critical
milestone: none → ubuntu-12.04.3
Dimitri John Ledkov (xnox) wrote :

This bug's description should be updated as per https://wiki.ubuntu.com/StableReleaseUpdates#SRU_Bug_Template to be published in precise.

In particular, a minimal test-case to reproduce the problem & observe the fix would be nice. Reading all the comments on the bug report it's not quite clear to me, how to test this bug. I have access to maxtor & intel fakeish raid controllers if that helps.

Phillip Susi (psusi) on 2013-07-10
description: updated

Hello Ing., or anyone else affected,

Accepted multipath-tools into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/multipath-tools/0.4.9-3ubuntu5.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in multipath-tools (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-needed

Sorry, but in the moment it will not be a good idea to destroy my RAID
again only to know, if this would work also with new install.
I have several OS Systems on the Raid besides ~ 1 TB data.
It would take me days of work to test and bring my machine back to state of
before via Backup.
I need it currently every day an am not able to.

I have already tested was P. Susi created to fix that bug. You can trust it
works and implement as it is.
Fact is: if you don't implement susi's fix ubuntu installs will still
TOTALLY fail if you want to install on extended partitions of a Raid. If
you implement it only can improve.

What i can imagine to do, is to test with a life CD, updated to include
fix, if the Raid is mounted and accessible, because either this did not
work properly as far as i can remember. But please don't ask me to destroy
my RAID for a further test. Thank You.

kind regards
Josef

2013/8/18 Launchpad Bug Tracker <email address hidden>

> ** Branch linked: lp:~ubuntu-branches/ubuntu/precise/multipath-tools
> /precise-proposed
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1093918
>
> Title:
> grub-probe auto-detection fails on raid
>
> Status in “multipath-tools” package in Ubuntu:
> Fix Released
> Status in “multipath-tools” source package in Precise:
> Fix Committed
> Status in “multipath-tools” source package in Quantal:
> Triaged
>
> Bug description:
> kpartx was mapping the entire extended partition then stacking the
> logical partitions on that device. This exposes a device that
> otherwise appears to be an entire disk device containing the logical
> partitions, and this confuses grub. The extended partition is
> supposed to only expose the first two sectors to allow LILO to be
> installed.
>
> The patch has been applied upstream now, and since this is the only
> change since quantal, a simple copy to quantal-updates should resolve
> it there as well. I have done this in my ppa and the reporter has
> verified it has fixed the issue.
>
> TEST CASE:
>
> Use fdisk to create an extended parition either on a fakeraid disk or
> an LVM logical volume. Run kpartx -a /dev/mapper/whatever to activate
> the partitions on the disk. Assuming the extended partition is number
> 3, then sudo blockdev --getsz /dev/mapper/whatever3 will report the
> apparent size of the extended partition. The size should only be 2
> sectors regardless of the size of the extended partition.
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/multipath-tools/+bug/1093918/+subscriptions
>

Btw: i like Your Atari logo ... i am still owning a Mega STE and a Falcon,
which i had to repair last time as battery of battery buffered NVRAM was
dead. Now it still and again is alive !! :D

2013/8/24 Josef Klotzner <email address hidden>

> Sorry, but in the moment it will not be a good idea to destroy my RAID
> again only to know, if this would work also with new install.
> I have several OS Systems on the Raid besides ~ 1 TB data.
> It would take me days of work to test and bring my machine back to state
> of before via Backup.
> I need it currently every day an am not able to.
>
> I have already tested was P. Susi created to fix that bug. You can trust
> it works and implement as it is.
> Fact is: if you don't implement susi's fix ubuntu installs will still
> TOTALLY fail if you want to install on extended partitions of a Raid. If
> you implement it only can improve.
>
> What i can imagine to do, is to test with a life CD, updated to include
> fix, if the Raid is mounted and accessible, because either this did not
> work properly as far as i can remember. But please don't ask me to destroy
> my RAID for a further test. Thank You.
>
> kind regards
> Josef
>
>
> 2013/8/18 Launchpad Bug Tracker <email address hidden>
>
>> ** Branch linked: lp:~ubuntu-branches/ubuntu/precise/multipath-tools
>> /precise-proposed
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1093918
>>
>> Title:
>> grub-probe auto-detection fails on raid
>>
>> Status in “multipath-tools” package in Ubuntu:
>> Fix Released
>> Status in “multipath-tools” source package in Precise:
>> Fix Committed
>> Status in “multipath-tools” source package in Quantal:
>> Triaged
>>
>> Bug description:
>> kpartx was mapping the entire extended partition then stacking the
>> logical partitions on that device. This exposes a device that
>> otherwise appears to be an entire disk device containing the logical
>> partitions, and this confuses grub. The extended partition is
>> supposed to only expose the first two sectors to allow LILO to be
>> installed.
>>
>> The patch has been applied upstream now, and since this is the only
>> change since quantal, a simple copy to quantal-updates should resolve
>> it there as well. I have done this in my ppa and the reporter has
>> verified it has fixed the issue.
>>
>> TEST CASE:
>>
>> Use fdisk to create an extended parition either on a fakeraid disk or
>> an LVM logical volume. Run kpartx -a /dev/mapper/whatever to activate
>> the partitions on the disk. Assuming the extended partition is number
>> 3, then sudo blockdev --getsz /dev/mapper/whatever3 will report the
>> apparent size of the extended partition. The size should only be 2
>> sectors regardless of the size of the extended partition.
>>
>> To manage notifications about this bug go to:
>>
>> https://bugs.launchpad.net/ubuntu/+source/multipath-tools/+bug/1093918/+subscriptions
>>
>
>

Phillip Susi (psusi) on 2013-09-04
Changed in multipath-tools (Ubuntu Precise):
milestone: ubuntu-12.04.3 → ubuntu-12.04.4
Phillip Susi (psusi) on 2014-01-09
no longer affects: multipath-tools (Ubuntu Quantal)

Does it mean it is already fixef in 12.04.3 and newer?
Am 09.01.2014 16:13 schrieb "Phillip Susi" <email address hidden>:

> ** No longer affects: multipath-tools (Ubuntu Quantal)
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1093918
>
> Title:
> grub-probe auto-detection fails on raid
>
> Status in “multipath-tools” package in Ubuntu:
> Fix Released
> Status in “multipath-tools” source package in Precise:
> Fix Committed
>
> Bug description:
> kpartx was mapping the entire extended partition then stacking the
> logical partitions on that device. This exposes a device that
> otherwise appears to be an entire disk device containing the logical
> partitions, and this confuses grub. The extended partition is
> supposed to only expose the first two sectors to allow LILO to be
> installed.
>
> The patch has been applied upstream now, and since this is the only
> change since quantal, a simple copy to quantal-updates should resolve
> it there as well. I have done this in my ppa and the reporter has
> verified it has fixed the issue.
>
> TEST CASE:
>
> Use fdisk to create an extended parition either on a fakeraid disk or
> an LVM logical volume. Run kpartx -a /dev/mapper/whatever to activate
> the partitions on the disk. Assuming the extended partition is number
> 3, then sudo blockdev --getsz /dev/mapper/whatever3 will report the
> apparent size of the extended partition. The size should only be 2
> sectors regardless of the size of the extended partition.
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/multipath-tools/+bug/1093918/+subscriptions
>

Phillip Susi (psusi) wrote :

The backport to precise is still waiting for someone to test and verify it, see comment #56.

Ok i will test in next days
Am 09.01.2014 17:53 schrieb "Phillip Susi" <email address hidden>:

> The backport to precise is still waiting for someone to test and verify
> it, see comment #56.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1093918
>
> Title:
> grub-probe auto-detection fails on raid
>
> Status in “multipath-tools” package in Ubuntu:
> Fix Released
> Status in “multipath-tools” source package in Precise:
> Fix Committed
>
> Bug description:
> kpartx was mapping the entire extended partition then stacking the
> logical partitions on that device. This exposes a device that
> otherwise appears to be an entire disk device containing the logical
> partitions, and this confuses grub. The extended partition is
> supposed to only expose the first two sectors to allow LILO to be
> installed.
>
> The patch has been applied upstream now, and since this is the only
> change since quantal, a simple copy to quantal-updates should resolve
> it there as well. I have done this in my ppa and the reporter has
> verified it has fixed the issue.
>
> TEST CASE:
>
> Use fdisk to create an extended parition either on a fakeraid disk or
> an LVM logical volume. Run kpartx -a /dev/mapper/whatever to activate
> the partitions on the disk. Assuming the extended partition is number
> 3, then sudo blockdev --getsz /dev/mapper/whatever3 will report the
> apparent size of the extended partition. The size should only be 2
> sectors regardless of the size of the extended partition.
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/multipath-tools/+bug/1093918/+subscriptions
>

tested - OK !

*when will it be available?*

there are only - as already mentioned some error messages a little "ugly" -
but it works

2014/1/9 Josef Hope <email address hidden>

> Ok i will test in next days
> Am 09.01.2014 17:53 schrieb "Phillip Susi" <email address hidden>:
>
> The backport to precise is still waiting for someone to test and verify
>> it, see comment #56.
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1093918
>>
>> Title:
>> grub-probe auto-detection fails on raid
>>
>> Status in “multipath-tools” package in Ubuntu:
>> Fix Released
>> Status in “multipath-tools” source package in Precise:
>> Fix Committed
>>
>> Bug description:
>> kpartx was mapping the entire extended partition then stacking the
>> logical partitions on that device. This exposes a device that
>> otherwise appears to be an entire disk device containing the logical
>> partitions, and this confuses grub. The extended partition is
>> supposed to only expose the first two sectors to allow LILO to be
>> installed.
>>
>> The patch has been applied upstream now, and since this is the only
>> change since quantal, a simple copy to quantal-updates should resolve
>> it there as well. I have done this in my ppa and the reporter has
>> verified it has fixed the issue.
>>
>> TEST CASE:
>>
>> Use fdisk to create an extended parition either on a fakeraid disk or
>> an LVM logical volume. Run kpartx -a /dev/mapper/whatever to activate
>> the partitions on the disk. Assuming the extended partition is number
>> 3, then sudo blockdev --getsz /dev/mapper/whatever3 will report the
>> apparent size of the extended partition. The size should only be 2
>> sectors regardless of the size of the extended partition.
>>
>> To manage notifications about this bug go to:
>>
>> https://bugs.launchpad.net/ubuntu/+source/multipath-tools/+bug/1093918/+subscriptions
>>
>

--
Ing. Josef Klotzner

Phillip Susi (psusi) on 2014-01-15
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package multipath-tools - 0.4.9-3ubuntu5.1

---------------
multipath-tools (0.4.9-3ubuntu5.1) precise; urgency=low

  * Add 0010-fix-extended-partitions.patch: Only expose the
    first two sectors of the extended partition (LP: #1093918).
 -- Phillip Susi <email address hidden> Tue, 28 May 2013 11:14:46 -0400

Changed in multipath-tools (Ubuntu Precise):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for multipath-tools has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers